Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able
Interface AbleRemoteBeanRemoteContainer

All Superinterfaces:
  java.rmi.Remote

public interface AbleRemoteBeanRemoteContainer
extends java.rmi.Remote

The AbleRemoteBeanRemoteContainer interface defines behavior for remote ABLE objects that can contain multiple AbleRemoteBean objects.

Method Summary
`void` | `addRemoteBean(AbleRemoteBean theAbleBean)` Adds a bean to this container.
`boolean` | `containsRemoteBean(AbleRemoteBean theAbleBean)` Indicates if a specific bean is contained is present.
`boolean` | `containsRemoteBean(java.lang.String theName)` Indicates if a bean with a specific name is present.
`AbleRemoteBean` | `getRemoteBean(java.lang.String theName)` Returns a bean with a specific name from this container.
`java.util.Vector` | `getRemoteBeans()` Returns a list of all contained beans.
`void` | `removeAllRemoteBeans()` Removes all beans from this container.
`void` | `removeRemoteBean(AbleRemoteBean theAbleBean)` Removes a bean from this container, and sets the bean's parent to `null`.
`void` | `removeRemoteBean(java.lang.String theName)` Removes a bean from this container using the bean's name as a key.

Method Detail

### addRemoteBean

    public void addRemoteBean(AbleRemoteBean theAbleBean)
                       throws java.rmi.RemoteException

  Adds a bean to this container.

  Parameters:
    `theAbleBean` - A bean that is to be added to this container. If the specified bean is already present, the implementation may choose to throw an exception.

  Throws:
    `java.rmi.RemoteException` - If an error occurs.

### removeRemoteBean

    public void removeRemoteBean(AbleRemoteBean theAbleBean)
                          throws java.rmi.RemoteException

  Removes a bean from this container, and sets the bean's parent to `null`.

  Parameters:
    `theAbleBean` - A bean that is to be removed from this container. If the specified bean is not present, the implementor may either throw an exception or ignore the request as desired.
  Throws:
    `java.rmi.RemoteException` - If an error occurs.

### removeRemoteBean

    public void removeRemoteBean(java.lang.String theName)
                          throws java.rmi.RemoteException

  Removes a bean from this container using the bean's name as a key. Sets the bean's parent to `null`.

  Parameters:
    `theName` - The specific name of a bean to be removed from this container. If the specified bean is not present, the implementor may either throw an exception or ignore the request as desired.
  Throws:
    `java.rmi.RemoteException` - If an error occurs.

### removeAllRemoteBeans

    public void removeAllRemoteBeans()
                              throws java.rmi.RemoteException

  Removes all beans from this container. Sets each bean's parent to `null`.

  Throws:
    `java.rmi.RemoteException` - If an error occurs.

### containsRemoteBean

    public boolean containsRemoteBean(AbleRemoteBean theAbleBean)
                               throws java.rmi.RemoteException

  Indicates if a specific bean is contained is present. The determination is done by using AbleBean equality.

  Parameters:
    `theAbleBean` - A bean that to find in this container.

  Returns:
    true if the specific bean is present, false otherwise.
  Throws:
    `java.rmi.RemoteException` - If an error occurs.

### containsRemoteBean

    public boolean containsRemoteBean(java.lang.String theName)
                               throws java.rmi.RemoteException

  Indicates if a bean with a specific name is present. The determination is done by comparing bean names.

  Parameters:
    `theName` - The specific name of a bean to find in this container.

  Returns:
    true if the named bean is present, false otherwise.
  Throws:
    `java.rmi.RemoteException` - If an error occurs.

### getRemoteBean

    public AbleRemoteBean getRemoteBean(java.lang.String theName)
                                 throws java.rmi.RemoteException

  Returns a bean with a specific name from this container.

  Parameters:
    `theName` - The specific name of a bean to be returned.
  Returns:
    A reference to the found bean, or null if the bean is not contained.
  Throws:
    `java.rmi.RemoteException` - If an error occurs.

### getRemoteBeans

    public java.util.Vector getRemoteBeans()
                                    throws java.rmi.RemoteException

  Returns a list of all contained beans.

  Returns:
    All contained beans. Note that the result may be empty, and that there is no implied order to the list elements.
  Throws:
    `java.rmi.RemoteException` - If an error occurs.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005